<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('s2_real_object_stock_operate', function (Blueprint $table) {
            $table->integer("order_source")->default(0)->comment("订单来源 0:商城订单 1:dma订单")->after("order_id");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('s2_real_object_stock_operate', function (Blueprint $table) {
            $table->dropColumn("order_source");
        });
    }
};
